#include <iostream>
#include <string>
#include <algorithm>

int main()
{
    std::string a, b;
    std::cin >> a >> b;
    int aduz = a.length();
    int bduz = b.length();
    int n = std::max(aduz, bduz);
    std::string niz1[n], niz2[n];
    for(int i = 0; i < n; i++){

        niz1[i] = ".";
        niz2[i] = ".";

    }
    int brojac = aduz - 1;
    for(int i = n - 1; i >= n - aduz ; i--){

        niz1[i] = a[brojac];
        brojac--;

    }
    brojac = bduz - 1;
    for(int i = n - 1; i >= n - bduz ; i--){

        niz2[i] = b[brojac];
        brojac--;

    }

    for(int i = 0; i < n; i++){

        if(niz1[i] == niz2[i]){

            std::cout << niz1[i];
            std::cout << niz1[i];

        }else{

            std::cout << std::max(niz1[i], niz2[i]);

        }

    }

    return 0;
}